org.apache.commons.lang3

## Class ArraySorter

- java.lang.Object
- - org.apache.commons.lang3.ArraySorter

-     public class ArraySorter
      extends Object

  Sorts and returns arrays in the fluent style.
  Since:
    3.12.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArraySorter()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `sort(byte[] array)` Sorts and returns the given array.
    `static char[]` | `sort(char[] array)` Sorts and returns the given array.
    `static double[]` | `sort(double[] array)` Sorts and returns the given array.
    `static float[]` | `sort(float[] array)` Sorts and returns the given array.
    `static int[]` | `sort(int[] array)` Sorts and returns the given array.
    `static long[]` | `sort(long[] array)` Sorts and returns the given array.
    `static short[]` | `sort(short[] array)` Sorts and returns the given array.
    `static <T> T[]` | `sort(T[] array)` Sorts and returns the given array.
    `static <T> T[]` | `sort(T[] array, Comparator<? super T> comparator)` Sorts and returns the given array.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArraySorter

          public ArraySorter()

  - ### Method Detail

    - #### sort

          public static byte[] sort(byte[] array)

      Sorts and returns the given array.
      Parameters:
        `array` - the array to sort.
      Returns:
        the given array.
      See Also:
        `Arrays.sort(byte[])`

    - #### sort

          public static char[] sort(char[] array)

      Sorts and returns the given array.
      Parameters:
        `array` - the array to sort.
      Returns:
        the given array.
      See Also:
        `Arrays.sort(char[])`

    - #### sort

          public static double[] sort(double[] array)

      Sorts and returns the given array.
      Parameters:
        `array` - the array to sort.
      Returns:
        the given array.
      See Also:
        `Arrays.sort(double[])`

    - #### sort

          public static float[] sort(float[] array)

      Sorts and returns the given array.
      Parameters:
        `array` - the array to sort.
      Returns:
        the given array.
      See Also:
        `Arrays.sort(float[])`

    - #### sort

          public static int[] sort(int[] array)

      Sorts and returns the given array.
      Parameters:
        `array` - the array to sort.
      Returns:
        the given array.
      See Also:
        `Arrays.sort(int[])`

    - #### sort

          public static long[] sort(long[] array)

      Sorts and returns the given array.
      Parameters:
        `array` - the array to sort.
      Returns:
        the given array.
      See Also:
        `Arrays.sort(long[])`

    - #### sort

          public static short[] sort(short[] array)

      Sorts and returns the given array.
      Parameters:
        `array` - the array to sort.
      Returns:
        the given array.
      See Also:
        `Arrays.sort(short[])`

    - #### sort

          public static <T> T[] sort(T[] array)

      Sorts and returns the given array.
      Type Parameters:
        `T` - the array type.
      Parameters:
        `array` - the array to sort.
      Returns:
        the given array.
      See Also:
        `Arrays.sort(Object[])`

    - #### sort

          public static <T> T[] sort(T[] array,
                                     Comparator<? super T> comparator)

      Sorts and returns the given array.
      Type Parameters:
        `T` - the array type.
      Parameters:
        `array` - the array to sort.
        `comparator` - the comparator to determine the order of the array. A `null` value uses the elements' `natural ordering`.
      Returns:
        the given array.
      See Also:
        `Arrays.sort(Object[])`

Copyright © 2001–2023 The Apache Software Foundation. All rights reserved.